/*
 ThermostatQA - test framework for Thermostat Monitoring Tool

 Copyright 2015 Red Hat, Inc.

 This file is part of ThermostatQA

 ThermostatQA is distributed under the GNU General Public License,
 version 2 or any later version (with a special exception described
 below, commonly known as the "Classpath Exception").

 A copy of GNU General Public License (GPL) is included in this
 distribution, in the file COPYING.

 Linking ThermostatQA code with other modules is making a combined work
 based on ThermostatQA.  Thus, the terms and conditions of the GPL
 cover the whole combination.

 As a special exception, the copyright holders of ThermostatQA give you
 permission to link this code with independent modules to produce an
 executable, regardless of the license terms of these independent
 modules, and to copy and distribute the resulting executable under
 terms of your choice, provided that you also meet, for each linked
 independent module, the terms and conditions of the license of that
 module.  An independent module is a module which is not derived from
 or based on ThermostatQA code.  If you modify ThermostatQA, you may
 extend this exception to your version of the software, but you are
 not obligated to do so.  If you do not wish to do so, delete this
 exception statement from your version.
 */
package org.thermostat.qa2.tests;

import static org.thermostat.qa2.framework.Assert.assertRuns;
import org.thermostat.qa2.framework.Robot;
import org.thermostat.qa2.framework.annotations.SetupStorage;
import org.thermostat.qa2.framework.annotations.RunAgent;
import org.thermostat.qa2.framework.annotations.RunGnomeKeyring;
import org.thermostat.qa2.framework.annotations.RunStorage;
import org.thermostat.qa2.framework.annotations.Test;
import org.thermostat.qa2.framework.services.ThermostatGui;

/**
 * Test class ported from old framework
 * @author Zdeněk Žamberský
 */
@SetupStorage(type = "mongo")
@RunStorage
@RunGnomeKeyring
@RunAgent
public class GuiHostViewSmokeTest {

    @Test
    public void overviewTab() throws Exception {
        ThermostatGui gui = new ThermostatGui();
        gui.start();
        assertRuns(gui, "Gui should be running");

        Robot robot = new Robot();
        robot.clickOnVMView();
        robot.makeScreenshot("HostViewOverviewTab1");
        robot.checkForPattern("HostView/overview_tab_chosen");
//        robot.checkForPattern("HostView/processor_tab");
//        robot.checkForPattern("HostView/memory_tab");
//        robot.checkForPattern("HostView/numa_tab");
//        robot.saveScreenshot("HostViewOverviewTab2");
//
//        Rectangle from = robot.checkForPattern("MainWindow/resizable");
//        robot.resize(from, 100, 0);
//        robot.makeScreenshot("HostViewOverviewTabResized1");
//
//        robot.checkForPattern("HostView/tiny_host_label");
//        robot.checkForPattern("HostView/tiny_id_label");
//
//        robot.checkForPattern("HostView/OverviewTab/basics_label");
//        robot.checkForPattern("HostView/OverviewTab/host_label");
//        robot.checkForPattern("HostView/OverviewTab/hw_label");
//        robot.checkForPattern("HostView/OverviewTab/interface_label");
//        robot.checkForPattern("HostView/OverviewTab/ipv4_address_label");
//        robot.checkForPattern("HostView/OverviewTab/ipv6_address_label");
//        robot.checkForPattern("HostView/OverviewTab/network_label");
//        robot.checkForPattern("HostView/OverviewTab/os_kernel_label");
//        robot.checkForPattern("HostView/OverviewTab/os_name_label");
//        robot.checkForPattern("HostView/OverviewTab/processor_count_label");
//        robot.checkForPattern("HostView/OverviewTab/processor_model_label");
//        robot.checkForPattern("HostView/OverviewTab/sw_label");
//        robot.checkForPattern("HostView/OverviewTab/total_memory_label");
//        robot.makeScreenshot("HostViewOverviewTabResized2");
    }

}
